Redmine - Defect #8089

Error trying to delete XML attachment
2011-04-06 20:14 - Cassiano Monteiro

Status: Closed Start date: 2011-04-06
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.1.1
Description

When | try to delete a XML attachment, | receive an internal error (redmine 500 error). From the log, | got this:

Errno::EACCES (Permission denied - C:/webserver/Redmine/files/110322161851_ file.xml):
app/models/attachment.rb:96:in “delete'
app/models/attachment.rb:96:in "after_destroy'
app/controllers/attachments_controller.rb:51:in “destroy'

Rendering C:/webserver/Redmine/public/500.html (500 Internal Server Error)
| can upload and delete any other file type, that just happens with XML.

Steps to reproduce:

1. On the tab "Documents", create a new document

2. Fill the information, attach a XML file and save.
3. Try to delete the XML file by clicking on the trash bin icon.

History

#1 - 2011-04-06 20:46 - Etienne Massip

Can't reproduce on demo site.

#2 - 2011-04-07 19:35 - Jean-Philippe Lang

| can't reproduce either.
The error show that your Redmine instance is not allowed to delete the file on the disk.

#3 - 2011-04-07 19:46 - Cassiano Monteiro

This is strange, because that happened only with XML files. But now | tried again, and it worked. Anyways, we can discard this issue.

#4 - 2011-04-07 19:55 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

#5 - 2011-06-16 22:05 - Cassiano Monteiro

| had the same problem again, but now with a htm file. And same error on the log, about permissions. But then | logged with a different Redmine user,
and it worked. How come?

#6 - 2011-06-17 10:06 - Etienne Massip

Could be locked by another process ?

#7 - 2011-06-17 13:07 - Cassiano Monteiro

I have no clue... This computer is acting only as Redmine server, nothing else... | got 3 Mongrel services running with Apache on Windows XP x64. It
also has a Subversion server, but in a different folder.

Weird thing is that RedmineUser1 gets the error, while RedmineUser2 was able to delete the file. But for both of them, the Windows User running
Redmine services (which should have access to the file to delete it) is the same!

2025-07-04 1/1



http://www.tcpdf.org

